# RequestDefaultHeaders (Apache HttpComponents Client 4.5.14 API)
Date: 2022-11-30

org.apache.http.client.protocol

## Class RequestDefaultHeaders

- java.lang.Object
- - org.apache.http.client.protocol.RequestDefaultHeaders

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class RequestDefaultHeaders
    extends Object
    implements org.apache.http.HttpRequestInterceptor

Request interceptor that adds default request headers.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`RequestDefaultHeaders()`
`RequestDefaultHeaders(Collection<? extends org.apache.http.Header> defaultHeaders)`

### Method Summary

Methods
`void` `process(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestDefaultHeaders

    public RequestDefaultHeaders(Collection<? extends org.apache.http.Header> defaultHeaders)

Since:
  4.3

#### RequestDefaultHeaders

    public RequestDefaultHeaders()

### Method Detail

#### process

    public void process(org.apache.http.HttpRequest request,
               org.apache.http.protocol.HttpContext context)
                 throws org.apache.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.http.HttpRequestInterceptor`
Throws:
  `org.apache.http.HttpException`
  `IOException`